Name:		mpt2sas
Version:	20.00.00.00_rhel7.0
Release:	1
Summary:	RHEL7 Driver Update Program package

Group:		System/Kernel
License:	GPLv2
URL: 		http://www.lsilogic.com
Distribution: 	LSI Corporation
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.files
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	%kernel_module_package_buildreqs

%global kernel_version 3.10.0-123.el7.ppc64
%kernel_module_package -f %{SOURCE1} default

%description
LSI MPT Fusion HBA drivers (12gb SAS)

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
	make -C %{kernel_source $flavor} modules_install \
		M=$PWD/obj/$flavor
	# Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -m 644 -D %{SOURCE2} $RPM_BUILD_ROOT/etc/modules-load.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 12 2010 Eric Moore <eric.moore@lsi.com>
- first draft
